Bug 1275800 - ipython notebook needs a desktop file
ipython notebook needs a desktop file
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-notebook (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 14:52 EDT by Christian Fredrik Kalager Schaller
Modified: 2017-10-31 11:41 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example desktop file (152 bytes, application/x-desktop)
2015-10-27 14:52 EDT, Christian Fredrik Kalager Schaller
no flags Details

  None (edit)
Description Christian Fredrik Kalager Schaller 2015-10-27 14:52:29 EDT
Created attachment 1086981 [details]
example desktop file

The ipython notebook IDE/shell should ship with a desktop file so that it becomes easily installable, discoverable and launchable from the desktop session.

What the package needs is:

a) .desktop file
b) application icon
c) appstream data file (http://www.freedesktop.org/software/appstream/docs/)



I added a .desktop file I made that works for me. That said it does leave a ipython process each time you run it, so I don't know if the package has some kind of automatic close on idle functionality that can be added.
Comment 1 Fedora End Of Life 2016-11-24 07:56:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-11-25 09:44:32 EST
This applies also to python3-ipython-gui, it should have a graphical entry of some kind too.
Comment 3 Thomas Spura 2016-11-25 09:57:20 EST
Upstreamed at:
https://github.com/jupyter/notebook/issues/1922
Comment 4 Miro Hrončok 2017-04-04 09:09:58 EDT
The never happening shutdown is a blocker for this. Maybe if we start the app with Terminal=true and let the user end it form there? But that's not so user friendly.
Comment 5 Miro Hrončok 2017-04-04 09:11:01 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> This applies also to python3-ipython-gui, it should have a graphical entry
> of some kind too.

Fixed in http://pkgs.fedoraproject.org/cgit/rpms/python-qtconsole.git/tree/python-qtconsole.spec#n131
Comment 6 Petr Viktorin 2017-08-07 07:15:41 EDT
Can we close this then?
Comment 7 Miro Hrončok 2017-10-31 11:41:49 EDT
(In reply to Petr Viktorin from comment #6)
> Can we close this then?

Nope, this is not fixed for python-notebook.

I guess I'll start with the terminal=True option and we can improve later.
Also, packaging https://github.com/takluyver/nbopen might be a good idea.

Note You need to log in before you can comment on or make changes to this bug.